Debian Bug report logs - #587702
tar (rmt) hangs since update in lenny when using --rsh-command=\/usr\/bin\/ssh

version graph

Package: tar; Maintainer for tar is Bdale Garbee <bdale@gag.com>; Source for tar is src:tar.

Reported by: Sebastian Wienforth <debian@zugangsserver.de>

Date: Wed, 30 Jun 2010 23:27:04 UTC

Severity: important

Tags: lenny

Found in version tar/1.20-1+lenny1

Fixed in version tar/1.23-3

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#587702; Package tar. (Wed, 30 Jun 2010 23:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Wienforth <debian@zugangsserver.de>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. (Wed, 30 Jun 2010 23:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Wienforth <debian@zugangsserver.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tar (rmt) hangs since update in lenny when using --rsh-command=\/usr\/bin\/ssh
Date: Thu, 01 Jul 2010 01:20:38 +0200
Package: tar
Version: 1.20-1+lenny1
Severity: important

Since the package update in lenny a few days ago, my automatic backups to a remote system, which are using tar --rsh-command=\/usr\/bin\/ssh, started to run forever. 
Also a manual execution of: 
tar -c  -f 'user@example.com:backup.tgz' --rsh-command=\/usr\/bin\/ssh -z '/home' -vvvvvv
only prints a few lines (the first 4 files or so) and stops doing anything after that. (but still runs until one breaks it with ctrl+c).

Downgrading the package to this version: http://snapshot.debian.org/package/tar/1.20-1/#tar_1.20-1 on the remote system solved the problem, and the backups work again.

So I believe the problem has something to do with the changes made to the rmt command in the update.

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages tar depends on:
ii  libc6                       2.7-18lenny4 GNU C Library: Shared libraries

tar recommends no packages.

Versions of packages tar suggests:
ii  bzip2                         1.0.5-1    high-quality block-sorting file co
pn  ncompress                     <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#587702; Package tar. (Thu, 01 Jul 2010 07:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Furlong <furlongm@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Thu, 01 Jul 2010 07:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 587702@bugs.debian.org (full text, mbox):

From: Marcus Furlong <furlongm@gmail.com>
To: 587702@bugs.debian.org
Date: Thu, 1 Jul 2010 17:52:14 +1000
Same issue here. Downgrading tar on the remote machine to the snapshot
version fixes the issue.

-- 
Marcus Furlong




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#587702; Package tar. (Fri, 16 Jul 2010 14:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Wienforth <debian@zugangsserver.de>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Fri, 16 Jul 2010 14:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 587702@bugs.debian.org (full text, mbox):

From: Sebastian Wienforth <debian@zugangsserver.de>
To: 587702@bugs.debian.org
Subject: No comment yet?
Date: Fri, 16 Jul 2010 16:00:13 +0200
I'm wondering, that none of the maintainers has commented on this bug yet?

I think this one is not that unimportant, because it could for example silently break
automatic backup scripts which is not very nice, especially in debian stable!

If the bug can't be repeated, please let me know and I will try and do a bit more of
debugging.

One information I forgot to add above is, that I use ssh key authentication, and have not
tested it with password authentication.




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#587702; Package tar. (Tue, 14 Sep 2010 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Eggert <eggert@CS.UCLA.EDU>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Tue, 14 Sep 2010 16:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 587702@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@CS.UCLA.EDU>
To: 587702@bugs.debian.org
Subject: Re: tar (rmt) hangs since update in lenny when using --rsh-command=\/usr\/bin\/ssh
Date: Tue, 14 Sep 2010 09:22:26 -0700
This bug was also reported to bug-tar in
<http://lists.gnu.org/archive/html/bug-tar/2010-09/msg00033.html>
and a fix has been applied to the upstream sources
<http://git.savannah.gnu.org/cgit/paxutils.git/commit/?id=3098be8a03bded997cfd3b43e92f1784eaeb4322>
so the bug should be fixed in the next upstream release.




Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. (Wed, 22 Sep 2010 08:39:07 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Wienforth <debian@zugangsserver.de>:
Bug acknowledged by developer. (Wed, 22 Sep 2010 08:39:07 GMT) Full text and rfc822 format available.

Message #25 received at 587702-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 587702-close@bugs.debian.org
Subject: Bug#587702: fixed in tar 1.23-3
Date: Wed, 22 Sep 2010 08:36:11 +0000
Source: tar
Source-Version: 1.23-3

We believe that the bug you reported is fixed in the latest version of
tar, which is due to be installed in the Debian FTP archive:

tar_1.23-3.diff.gz
  to main/t/tar/tar_1.23-3.diff.gz
tar_1.23-3.dsc
  to main/t/tar/tar_1.23-3.dsc
tar_1.23-3_i386.deb
  to main/t/tar/tar_1.23-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587702@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated tar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 22 Sep 2010 00:33:16 -0600
Source: tar
Binary: tar
Architecture: source i386
Version: 1.23-3
Distribution: unstable
Urgency: medium
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 tar        - GNU version of the tar archiving utility
Closes: 561598 587702 597672
Changes: 
 tar (1.23-3) unstable; urgency=medium
 .
   * add xz-utils back to the Suggests list since it may not be 'required'
     forever
   * current debhelper includes trigger support, closes: #561598
   * patch from upstream to fix ability of rmt to accept mixed file mode
     representations, closes: #587702, #597672
Checksums-Sha1: 
 6951fff8f186dd0210f903745ea174626d7e4e5b 1612 tar_1.23-3.dsc
 05133e179883596abd07b417789e353135dec399 19399 tar_1.23-3.diff.gz
 fa47b144b917239e63bd811cccda9750fd2f1907 912416 tar_1.23-3_i386.deb
Checksums-Sha256: 
 b6ee7a1ad208932e6e159b699537a43c44284e1b1ef4310da74c8d4a7e157f1e 1612 tar_1.23-3.dsc
 cd1a682e61ef15beb2b25473684bb0c981938153cc1bd9ba26d7d292ae855afe 19399 tar_1.23-3.diff.gz
 3efbeff4e2a0d0ce8b4a3fc1fbc18c1e9062b3e05b76248d2b2e358bcf82c46d 912416 tar_1.23-3_i386.deb
Files: 
 c1bf4407418951e56438717f2215f1d4 1612 utils required tar_1.23-3.dsc
 fa716697beb6561d7ccedc3989a731b8 19399 utils required tar_1.23-3.diff.gz
 62b4a1f7f53c2b7264216245fc5287f6 912416 utils required tar_1.23-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTJm5nTqTYZbAldlBAQpCwBAAoTIs8ChdEnggbnvsfSuRrqLluOFe2VrF
X3/Xa4ZWnkps8VuUswA0mMHNWpSSiY0rAUUMoSwfiPhKdqU4AIUlc3jt+cK4gEEt
UmxDjvVzTWrvH7+CQ/O1gDT6Q+9hBvHbevgpgF8O0HZqEgixYfBb2+pRgEKcssiQ
ShtYF8AVQKr0Ez13R0U/OuJA1Mui8fmX8K0wV1nrXPw8ZGQzzOxygbwOaLhaHQak
SPUou+zky6oOUZrnVn1Fb5i/GaahEMVGC+ZahM/ei7HFrQXeGOWL/hoeHTwPKCn0
LflIJwefEYQTRiosqq+zy71hRlD5lwTaEDHgOraFpPDFWxmpsmUl9Rs0pVvNIRpk
YquaiNZi35AHreiQTYKAP+3LKT5IaENUQkzlSnbJ8GnbkT/mCIxbX9hHOMs2r9B4
YZz2QINYNHnKH/1ySDOvWFif9J6KYrwmQVEx14uXArlWXJXxCc/roVIQifvBrEJc
sdjN9Z42TZbaBd9Fl8KHO/uKcd5VueUeYdiVT9R34SSBB+Et9pWvw727YHKsqnSE
kGZC7qhGBe4fV5jzKosQhvaMWVF2IlY5hChDOYKL9AFwJ3V+JVoxa9/PHpWc/v9w
oKeNZ7pbTlZ0pfnKPNG0vjMdS9TtIDqXg0DrFRiEjTSWOH99nI9EeibMzRq5Hr7n
3th4Trpih8A=
=N51f
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Oct 2010 07:29:55 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Marcus Furlong <furlongm@gmail.com> to control@bugs.debian.org. (Fri, 21 Jan 2011 03:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#587702; Package tar. (Fri, 21 Jan 2011 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Furlong <furlongm@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Fri, 21 Jan 2011 03:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 587702@bugs.debian.org (full text, mbox):

From: Marcus Furlong <furlongm@gmail.com>
To: 587702@bugs.debian.org, security@debian.org
Date: Fri, 21 Jan 2011 14:44:38 +1100
> Same issue here. Downgrading tar on the remote machine to the snapshot
> version fixes the issue.

This bug was introduced into stable through a security update, has
been fixed in unstable/testing, but is not fixed in stable. Are there
any plans to fix it in stable? I still have a number of servers that
require the above snapshot version installed, otherwise remote backups
do not work (they worked before the security update).

Thanks,
-- 
Marcus Furlong




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#587702; Package tar. (Sat, 22 Jan 2011 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Sat, 22 Jan 2011 14:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 587702@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Marcus Furlong <furlongm@gmail.com>
Cc: 587702@bugs.debian.org, security@debian.org
Subject: Re: your mail
Date: Sat, 22 Jan 2011 15:35:54 +0100
On Fri, Jan 21, 2011 at 02:44:38PM +1100, Marcus Furlong wrote:
> > Same issue here. Downgrading tar on the remote machine to the snapshot
> > version fixes the issue.
> 
> This bug was introduced into stable through a security update, has
> been fixed in unstable/testing, but is not fixed in stable. Are there
> any plans to fix it in stable? I still have a number of servers that
> require the above snapshot version installed, otherwise remote backups
> do not work (they worked before the security update).

It wasn't introduced through a security update, but in a stable point 
update. That's also where it should be fixed. Bdale, can you upload
updated packages with the regression fix?

Cheers,
        Moritz




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Feb 2011 07:31:03 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 13:15:09 GMT) Full text and rfc822 format available.

Added tag(s) lenny. Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. (Mon, 21 Feb 2011 18:24:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Mar 2011 07:30:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:33:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.